<?php
	require_once("../config/connect.php");
	//require_once("config/pageConfig.php");
	require_once("../global_functions.php");

	$zentral_db=SQL_DB;
	// $export_db="gudrunstrasse_1";
	// In das $header_array kommt jetzt nach der Reihe die Spalten der csv so wie es im header steht
	// Das sind dann die Namen der Felder der Tabelle
	// array(17) { [0] "ID" [1]=> "NAME" [2]=> "PARENTID" ...
	function read_csv_header_from_file($filename)
	{
		$fp=fopen($filename, "r");
		$line=fgets($fp);
		$line=trim($line);
		$header_array=explode(";", $line);
		fclose($fp);
		return($header_array);
	}

	function import_csv_from_file($tb, $import_field_match)
	{
		$filename=__DIR__ . "/" . $tb . "_data.csv";
		$header_array=read_csv_header_from_file($filename);
		
		//var_dump($header_array);
		
		$fp=fopen($filename, "r");
		
		// Die Fields raussuchen, die importiert werden sollen
		$first_field=true;
		$fields_string="";
		foreach ($import_field_match as $key=>$value)
		{
			if ($value!==false)
			{
				if ($first_field) 
				{
					$fields_string=mysql_real_escape_string ($value); // Kein Beistrich beim ersten element
					$first_field=false;
				}
				else $fields_string.=",".mysql_real_escape_string ($value);
			}
		}
		// Ende Fields String suchen
		
		$first_line=true;
		while ($line=fgets($fp))
		{
			if ($first_line)
			{
				$first_line=false;
			}
			else
			{
				//echo $line."<br>";
				$line_arr=explode(";", $line);
				
				// Die Value zu den Fields raussuchen, die importiert werden sollen
				$first_field=true;
				$value_string="";
				foreach ($import_field_match as $key=>$value)
				{
					if ($value!==false)
					{
						$stelle_in_der_csv=array_search($key, $header_array);
						//echo $line_arr[$stelle_in_der_csv];
						if ($first_field) 
						{
							$value_string="'".mysql_real_escape_string ($line_arr[$stelle_in_der_csv])."'"; // Kein Beistrich beim ersten element
							$first_field=false;
						}
						else $value_string.=", '".mysql_real_escape_string ($line_arr[$stelle_in_der_csv])."'";
					}
				}
				// Ende Fields String suchen
			$value_string = str_replace(array("\\n\\r","\\r\\n","\\n","\\r","\n","\r"), '', $value_string);
				$insert_string="INSERT INTO $tb ( $fields_string ) VALUES ( $value_string )";
				
				$Q1=mysql_query($insert_string);
				if (!$Q1) 
				{
					echo "$insert_string <br>";
					echo "Fehler beim INSERT: ".mysql_error();
					exit;
				}
				else 
					echo "$insert_string <br>";
				
			}
		}
		
		fclose($fp);
	}



	
	echo "Importiere Kunden <br>";
	$import_field_match=array(
		'nachname' => 'nachname',
		'firma' => 'firma',
		'vorname' => 'vorname',
		'strasse1' => 'strasse1',
		'plz' => 'plz',
		'ort' => 'Ort',
		'create_ts' => false,
		'update_ts' => false	
	);
	import_csv_from_file("kunden", $import_field_match);

?>